std::pointer_to_unary_function(3)

NAME
std::pointer_to_unary_function - std::pointer_to_unary_function

Synopsis
   template<
   class Arg, (deprecated in C++11)
   class Result (removed in C++17)
   > class pointer_to_unary_function : public
   std::unary_function<Arg, Result>;
   std::pointer_to_unary_function is a function object that acts as a wrapper around a
   unary function.

Member functions
                 constructs a new pointer_to_unary_function object with the supplied
   constructor function
                 (public member function)
   operator() calls the stored function
                 (public member function) std::pointer_to_unary_function::pointer_to_unary_function
   explicit pointer_to_unary_function( Result (*f)(Arg) );
   Constructs a pointer_to_unary_function function object with the stored function f.

Parameters
   f - pointer to a function to store std::pointer_to_unary_function::operator()
   Result operator()( Arg x ) const;
   Calls the stored function.

Parameters
   x - argument to pass to the function

Return value
   The value returned by the called function.

See also
   pointer_to_binary_function adaptor-compatible wrapper for a pointer to binary
   (deprecated in C++11) function
   (removed in C++17) (class template)
   ptr_fun creates an adaptor-compatible function object wrapper
   (deprecated in C++11) from a pointer to function
   (removed in C++17) (function template)